Package com.ocient.jdbc.proto

# Class PlanProtocol.WindowOperator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>
com.ocient.jdbc.proto.PlanProtocol.WindowOperator.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.WindowOperatorOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.WindowOperator

    public static final class PlanProtocol.WindowOperator.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>
    implements PlanProtocol.WindowOperatorOrBuilder

Protobuf type `xg.db.sqlPlans.WindowOperator`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.WindowOperator.Builder` | `addAllConstFloatArgs​(Iterable<? extends Double> values)` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `addAllConstIntArgs​(Iterable<? extends Long> values)` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `addAllDirections​(Iterable<? extends Boolean> values)` | The directions for each sort col - true = ascending
`PlanProtocol.WindowOperator.Builder` | `addAllFrames​(Iterable<? extends PlanProtocol.FrameSpec> values)` | The frame specification for each op, in the same order

`PlanProtocol.WindowOperator.Builder`

`addAllInputCols​(Iterable<String> values)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`PlanProtocol.WindowOperator.Builder` | `addAllOps​(Iterable<? extends PlanProtocol.WindowOperator.WindowOp> values)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `addAllOpsValue​(Iterable<Integer> values)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `addAllOutputCols​(Iterable<String> values)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.WindowOperator.Builder` | `addAllOutputColsTypes​(Iterable<String> values)` | The types for the outputCols, in the same order
`PlanProtocol.WindowOperator.Builder` | `addAllPartitioningCols​(Iterable<String> values)` | Partitioning columns
`PlanProtocol.WindowOperator.Builder` | `addAllSortKeys​(Iterable<String> values)` | The sort columns - already includes partitioning cols if any
`PlanProtocol.WindowOperator.Builder` | `addConstFloatArgs​(double value)` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `addConstIntArgs​(long value)` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `addDirections​(boolean value)` | The directions for each sort col - true = ascending
`PlanProtocol.WindowOperator.Builder` | `addFrames​(int index, PlanProtocol.FrameSpec value)` | The frame specification for each op, in the same order
`PlanProtocol.WindowOperator.Builder` | `addFrames​(int index, PlanProtocol.FrameSpec.Builder builderForValue)` | The frame specification for each op, in the same order
`PlanProtocol.WindowOperator.Builder` | `addFrames​(PlanProtocol.FrameSpec value)` | The frame specification for each op, in the same order
`PlanProtocol.WindowOperator.Builder` | `addFrames​(PlanProtocol.FrameSpec.Builder builderForValue)` | The frame specification for each op, in the same order
`PlanProtocol.FrameSpec.Builder` | `addFramesBuilder()` | The frame specification for each op, in the same order
`PlanProtocol.FrameSpec.Builder` | `addFramesBuilder​(int index)` | The frame specification for each op, in the same order

`PlanProtocol.WindowOperator.Builder`

`addInputCols​(String value)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`PlanProtocol.WindowOperator.Builder`

`addInputColsBytes​(com.google.protobuf.ByteString value)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`PlanProtocol.WindowOperator.Builder` | `addOps​(PlanProtocol.WindowOperator.WindowOp value)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `addOpsValue​(int value)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `addOutputCols​(String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.WindowOperator.Builder` | `addOutputColsBytes​(com.google.protobuf.ByteString value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.WindowOperator.Builder` | `addOutputColsTypes​(String value)` | The types for the outputCols, in the same order
`PlanProtocol.WindowOperator.Builder` | `addOutputColsTypesBytes​(com.google.protobuf.ByteString value)` | The types for the outputCols, in the same order
`PlanProtocol.WindowOperator.Builder` | `addPartitioningCols​(String value)` | Partitioning columns
`PlanProtocol.WindowOperator.Builder` | `addPartitioningColsBytes​(com.google.protobuf.ByteString value)` | Partitioning columns
`PlanProtocol.WindowOperator.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.WindowOperator.Builder` | `addSortKeys​(String value)` | The sort columns - already includes partitioning cols if any
`PlanProtocol.WindowOperator.Builder` | `addSortKeysBytes​(com.google.protobuf.ByteString value)` | The sort columns - already includes partitioning cols if any
`PlanProtocol.WindowOperator` | `build()` |
`PlanProtocol.WindowOperator` | `buildPartial()` |
`PlanProtocol.WindowOperator.Builder` | `clear()` |
`PlanProtocol.WindowOperator.Builder` | `clearConstFloatArgs()` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `clearConstIntArgs()` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `clearDirections()` | The directions for each sort col - true = ascending
`PlanProtocol.WindowOperator.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.WindowOperator.Builder` | `clearFrames()` | The frame specification for each op, in the same order

`PlanProtocol.WindowOperator.Builder`

`clearInputCols()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`PlanProtocol.WindowOperator.Builder` | `clearLimit1()` | Is there an immediate following limit 1?
`PlanProtocol.WindowOperator.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.WindowOperator.Builder` | `clearOps()` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `clearOutputCols()` | The name to give to the columns created by each aggregation operation
`PlanProtocol.WindowOperator.Builder` | `clearOutputColsTypes()` | The types for the outputCols, in the same order
`PlanProtocol.WindowOperator.Builder` | `clearPartitioningCols()` | Partitioning columns
`PlanProtocol.WindowOperator.Builder` | `clearSortKeys()` | The sort columns - already includes partitioning cols if any
`PlanProtocol.WindowOperator.Builder` | `clone()` |
`double` | `getConstFloatArgs​(int index)` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`int` | `getConstFloatArgsCount()` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`List<Double>` | `getConstFloatArgsList()` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`long` | `getConstIntArgs​(int index)` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`int` | `getConstIntArgsCount()` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`List<Long>` | `getConstIntArgsList()` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getDirections​(int index)` | The directions for each sort col - true = ascending
`int` | `getDirectionsCount()` | The directions for each sort col - true = ascending
`List<Boolean>` | `getDirectionsList()` | The directions for each sort col - true = ascending
`PlanProtocol.FrameSpec` | `getFrames​(int index)` | The frame specification for each op, in the same order
`PlanProtocol.FrameSpec.Builder` | `getFramesBuilder​(int index)` | The frame specification for each op, in the same order
`List<PlanProtocol.FrameSpec.Builder>` | `getFramesBuilderList()` | The frame specification for each op, in the same order
`int` | `getFramesCount()` | The frame specification for each op, in the same order
`List<PlanProtocol.FrameSpec>` | `getFramesList()` | The frame specification for each op, in the same order
`PlanProtocol.FrameSpecOrBuilder` | `getFramesOrBuilder​(int index)` | The frame specification for each op, in the same order
`List<? extends PlanProtocol.FrameSpecOrBuilder>` | `getFramesOrBuilderList()` | The frame specification for each op, in the same order

`String`

`getInputCols​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`com.google.protobuf.ByteString`

`getInputColsBytes​(int index)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`int`

`getInputColsCount()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`com.google.protobuf.ProtocolStringList`

`getInputColsList()`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`boolean` | `getLimit1()` | Is there an immediate following limit 1?
`PlanProtocol.WindowOperator.WindowOp` | `getOps​(int index)` | The aggregation operations to perform
`int` | `getOpsCount()` | The aggregation operations to perform
`List<PlanProtocol.WindowOperator.WindowOp>` | `getOpsList()` | The aggregation operations to perform
`int` | `getOpsValue​(int index)` | The aggregation operations to perform
`List<Integer>` | `getOpsValueList()` | The aggregation operations to perform
`String` | `getOutputCols​(int index)` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ByteString` | `getOutputColsBytes​(int index)` | The name to give to the columns created by each aggregation operation
`int` | `getOutputColsCount()` | The name to give to the columns created by each aggregation operation
`com.google.protobuf.ProtocolStringList` | `getOutputColsList()` | The name to give to the columns created by each aggregation operation
`String` | `getOutputColsTypes​(int index)` | The types for the outputCols, in the same order
`com.google.protobuf.ByteString` | `getOutputColsTypesBytes​(int index)` | The types for the outputCols, in the same order
`int` | `getOutputColsTypesCount()` | The types for the outputCols, in the same order
`com.google.protobuf.ProtocolStringList` | `getOutputColsTypesList()` | The types for the outputCols, in the same order
`String` | `getPartitioningCols​(int index)` | Partitioning columns
`com.google.protobuf.ByteString` | `getPartitioningColsBytes​(int index)` | Partitioning columns
`int` | `getPartitioningColsCount()` | Partitioning columns
`com.google.protobuf.ProtocolStringList` | `getPartitioningColsList()` | Partitioning columns
`String` | `getSortKeys​(int index)` | The sort columns - already includes partitioning cols if any
`com.google.protobuf.ByteString` | `getSortKeysBytes​(int index)` | The sort columns - already includes partitioning cols if any
`int` | `getSortKeysCount()` | The sort columns - already includes partitioning cols if any
`com.google.protobuf.ProtocolStringList` | `getSortKeysList()` | The sort columns - already includes partitioning cols if any
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.WindowOperator.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.WindowOperator.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.WindowOperator.Builder` | `mergeFrom​(PlanProtocol.WindowOperator other)` |
`PlanProtocol.WindowOperator.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.WindowOperator.Builder` | `removeFrames​(int index)` | The frame specification for each op, in the same order
`PlanProtocol.WindowOperator.Builder` | `setConstFloatArgs​(int index, double value)` | For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `setConstIntArgs​(int index, long value)` | For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used
`PlanProtocol.WindowOperator.Builder` | `setDirections​(int index, boolean value)` | The directions for each sort col - true = ascending
`PlanProtocol.WindowOperator.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.WindowOperator.Builder` | `setFrames​(int index, PlanProtocol.FrameSpec value)` | The frame specification for each op, in the same order
`PlanProtocol.WindowOperator.Builder` | `setFrames​(int index, PlanProtocol.FrameSpec.Builder builderForValue)` | The frame specification for each op, in the same order

`PlanProtocol.WindowOperator.Builder`

`setInputCols​(int index, String value)`

The columns to perform each aggregation on (for operations that take a normal column argument) In the same order as ops (and same size) The following operations have no input, so any value in those positions is garbage WINDOW_OP_COUNT_STAR WINDOW_OP_RANK WINDOW_OP_DENSE_RANK WINDOW_OP_ROW_NUMBER WINDOW_OP_FIRST_VALUE WINDOW_OP_LAST_VALUE WINDOW_OP_CUME_DIST WINDOW_OP_PERCENT_RANK Additionally these operations only have constant input values, not a column input - so there is nothing here WINDOW_OP_NTH_VALUE WINDOW_OP_NTILE

`PlanProtocol.WindowOperator.Builder` | `setLimit1​(boolean value)` | Is there an immediate following limit 1?
`PlanProtocol.WindowOperator.Builder` | `setOps​(int index, PlanProtocol.WindowOperator.WindowOp value)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `setOpsValue​(int index, int value)` | The aggregation operations to perform
`PlanProtocol.WindowOperator.Builder` | `setOutputCols​(int index, String value)` | The name to give to the columns created by each aggregation operation
`PlanProtocol.WindowOperator.Builder` | `setOutputColsTypes​(int index, String value)` | The types for the outputCols, in the same order
`PlanProtocol.WindowOperator.Builder` | `setPartitioningCols​(int index, String value)` | Partitioning columns
`PlanProtocol.WindowOperator.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.WindowOperator.Builder` | `setSortKeys​(int index, String value)` | The sort columns - already includes partitioning cols if any
`PlanProtocol.WindowOperator.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### clear

public PlanProtocol.WindowOperator.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### getDefaultInstanceForType

public PlanProtocol.WindowOperator getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.WindowOperator build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.WindowOperator buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.WindowOperator.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### setField

public PlanProtocol.WindowOperator.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### clearField

public PlanProtocol.WindowOperator.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### clearOneof

public PlanProtocol.WindowOperator.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### setRepeatedField

public PlanProtocol.WindowOperator.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### addRepeatedField

public PlanProtocol.WindowOperator.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### mergeFrom

public PlanProtocol.WindowOperator.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.WindowOperator.Builder>`

### mergeFrom

public PlanProtocol.WindowOperator.Builder mergeFrom​(PlanProtocol.WindowOperator other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### mergeFrom

public PlanProtocol.WindowOperator.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.WindowOperator.Builder>`
Throws:
  `IOException`

### getPartitioningColsList

public com.google.protobuf.ProtocolStringList getPartitioningColsList()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningColsCount

public int getPartitioningColsCount()

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningCols

public String getPartitioningCols​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getPartitioningColsBytes

public com.google.protobuf.ByteString getPartitioningColsBytes​(int index)

    Partitioning columns

`repeated string partitioning_cols = 1;`

Specified by:
  `getPartitioningColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setPartitioningCols

public PlanProtocol.WindowOperator.Builder setPartitioningCols​(int index, String value)

    Partitioning columns

`repeated string partitioning_cols = 1;`

### addPartitioningCols

public PlanProtocol.WindowOperator.Builder addPartitioningCols​(String value)

    Partitioning columns

`repeated string partitioning_cols = 1;`

### addAllPartitioningCols

public PlanProtocol.WindowOperator.Builder addAllPartitioningCols​(Iterable<String> values)

    Partitioning columns

`repeated string partitioning_cols = 1;`

### clearPartitioningCols

public PlanProtocol.WindowOperator.Builder clearPartitioningCols()

    Partitioning columns

`repeated string partitioning_cols = 1;`

### addPartitioningColsBytes

public PlanProtocol.WindowOperator.Builder addPartitioningColsBytes​(com.google.protobuf.ByteString value)

    Partitioning columns

`repeated string partitioning_cols = 1;`

### getSortKeysList

public com.google.protobuf.ProtocolStringList getSortKeysList()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeysCount

public int getSortKeysCount()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeys

public String getSortKeys​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeys` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getSortKeysBytes

public com.google.protobuf.ByteString getSortKeysBytes​(int index)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

Specified by:
  `getSortKeysBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setSortKeys

public PlanProtocol.WindowOperator.Builder setSortKeys​(int index, String value)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

### addSortKeys

public PlanProtocol.WindowOperator.Builder addSortKeys​(String value)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

### addAllSortKeys

public PlanProtocol.WindowOperator.Builder addAllSortKeys​(Iterable<String> values)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

### clearSortKeys

public PlanProtocol.WindowOperator.Builder clearSortKeys()

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

### addSortKeysBytes

public PlanProtocol.WindowOperator.Builder addSortKeysBytes​(com.google.protobuf.ByteString value)

    The sort columns - already includes partitioning cols if any

`repeated string sortKeys = 2;`

### getDirectionsList

public List<Boolean> getDirectionsList()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirectionsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getDirectionsCount

public int getDirectionsCount()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirectionsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getDirections

public boolean getDirections​(int index)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

Specified by:
  `getDirections` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setDirections

public PlanProtocol.WindowOperator.Builder setDirections​(int index, boolean value)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

### addDirections

public PlanProtocol.WindowOperator.Builder addDirections​(boolean value)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

### addAllDirections

public PlanProtocol.WindowOperator.Builder addAllDirections​(Iterable<? extends Boolean> values)

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

### clearDirections

public PlanProtocol.WindowOperator.Builder clearDirections()

    The directions for each sort col - true = ascending

`repeated bool directions = 3;`

### getOpsList

public List<PlanProtocol.WindowOperator.WindowOp> getOpsList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsCount

public int getOpsCount()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOps

public PlanProtocol.WindowOperator.WindowOp getOps​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOps` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setOps

public PlanProtocol.WindowOperator.Builder setOps​(int index, PlanProtocol.WindowOperator.WindowOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### addOps

public PlanProtocol.WindowOperator.Builder addOps​(PlanProtocol.WindowOperator.WindowOp value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### addAllOps

public PlanProtocol.WindowOperator.Builder addAllOps​(Iterable<? extends PlanProtocol.WindowOperator.WindowOp> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### clearOps

public PlanProtocol.WindowOperator.Builder clearOps()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### getOpsValueList

public List<Integer> getOpsValueList()

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsValueList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOpsValue

public int getOpsValue​(int index)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

Specified by:
  `getOpsValue` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setOpsValue

public PlanProtocol.WindowOperator.Builder setOpsValue​(int index, int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### addOpsValue

public PlanProtocol.WindowOperator.Builder addOpsValue​(int value)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### addAllOpsValue

public PlanProtocol.WindowOperator.Builder addAllOpsValue​(Iterable<Integer> values)

    The aggregation operations to perform

`repeated .xg.db.sqlPlans.WindowOperator.WindowOp ops = 4;`

### getInputColsList

public com.google.protobuf.ProtocolStringList getInputColsList()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputColsCount

public int getInputColsCount()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputCols

public String getInputCols​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getInputColsBytes

public com.google.protobuf.ByteString getInputColsBytes​(int index)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

Specified by:
  `getInputColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setInputCols

public PlanProtocol.WindowOperator.Builder setInputCols​(int index, String value)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

### addInputCols

public PlanProtocol.WindowOperator.Builder addInputCols​(String value)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

### addAllInputCols

public PlanProtocol.WindowOperator.Builder addAllInputCols​(Iterable<String> values)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

### clearInputCols

public PlanProtocol.WindowOperator.Builder clearInputCols()

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

### addInputColsBytes

public PlanProtocol.WindowOperator.Builder addInputColsBytes​(com.google.protobuf.ByteString value)

    The columns to perform each aggregation on (for operations that take a normal column argument)
    In the same order as ops (and same size)
    The following operations have no input, so any value in those positions is garbage
    WINDOW_OP_COUNT_STAR
    WINDOW_OP_RANK
    WINDOW_OP_DENSE_RANK
    WINDOW_OP_ROW_NUMBER
    WINDOW_OP_FIRST_VALUE
    WINDOW_OP_LAST_VALUE
    WINDOW_OP_CUME_DIST
    WINDOW_OP_PERCENT_RANK
    Additionally these operations only have constant input values, not a column input - so there is nothing here
    WINDOW_OP_NTH_VALUE
    WINDOW_OP_NTILE

`repeated string inputCols = 5;`

### getOutputColsList

public com.google.protobuf.ProtocolStringList getOutputColsList()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsCount

public int getOutputColsCount()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputCols

public String getOutputCols​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputCols` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsBytes

public com.google.protobuf.ByteString getOutputColsBytes​(int index)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

Specified by:
  `getOutputColsBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setOutputCols

public PlanProtocol.WindowOperator.Builder setOutputCols​(int index, String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

### addOutputCols

public PlanProtocol.WindowOperator.Builder addOutputCols​(String value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

### addAllOutputCols

public PlanProtocol.WindowOperator.Builder addAllOutputCols​(Iterable<String> values)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

### clearOutputCols

public PlanProtocol.WindowOperator.Builder clearOutputCols()

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

### addOutputColsBytes

public PlanProtocol.WindowOperator.Builder addOutputColsBytes​(com.google.protobuf.ByteString value)

    The name to give to the columns created by each aggregation operation

`repeated string outputCols = 6;`

### getOutputColsTypesList

public com.google.protobuf.ProtocolStringList getOutputColsTypesList()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypesCount

public int getOutputColsTypesCount()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypes

public String getOutputColsTypes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getOutputColsTypesBytes

public com.google.protobuf.ByteString getOutputColsTypesBytes​(int index)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

Specified by:
  `getOutputColsTypesBytes` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setOutputColsTypes

public PlanProtocol.WindowOperator.Builder setOutputColsTypes​(int index, String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

### addOutputColsTypes

public PlanProtocol.WindowOperator.Builder addOutputColsTypes​(String value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

### addAllOutputColsTypes

public PlanProtocol.WindowOperator.Builder addAllOutputColsTypes​(Iterable<String> values)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

### clearOutputColsTypes

public PlanProtocol.WindowOperator.Builder clearOutputColsTypes()

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

### addOutputColsTypesBytes

public PlanProtocol.WindowOperator.Builder addOutputColsTypesBytes​(com.google.protobuf.ByteString value)

    The types for the outputCols, in the same order

`repeated string outputColsTypes = 7;`

### getFramesList

public List<PlanProtocol.FrameSpec> getFramesList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesCount

public int getFramesCount()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFrames

public PlanProtocol.FrameSpec getFrames​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFrames` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setFrames

public PlanProtocol.WindowOperator.Builder setFrames​(int index, PlanProtocol.FrameSpec value)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### setFrames

public PlanProtocol.WindowOperator.Builder setFrames​(int index, PlanProtocol.FrameSpec.Builder builderForValue)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addFrames

public PlanProtocol.WindowOperator.Builder addFrames​(PlanProtocol.FrameSpec value)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addFrames

public PlanProtocol.WindowOperator.Builder addFrames​(int index, PlanProtocol.FrameSpec value)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addFrames

public PlanProtocol.WindowOperator.Builder addFrames​(PlanProtocol.FrameSpec.Builder builderForValue)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addFrames

public PlanProtocol.WindowOperator.Builder addFrames​(int index, PlanProtocol.FrameSpec.Builder builderForValue)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addAllFrames

public PlanProtocol.WindowOperator.Builder addAllFrames​(Iterable<? extends PlanProtocol.FrameSpec> values)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### clearFrames

public PlanProtocol.WindowOperator.Builder clearFrames()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### removeFrames

public PlanProtocol.WindowOperator.Builder removeFrames​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### getFramesBuilder

public PlanProtocol.FrameSpec.Builder getFramesBuilder​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### getFramesOrBuilder

public PlanProtocol.FrameSpecOrBuilder getFramesOrBuilder​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesOrBuilder` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getFramesOrBuilderList

public List<? extends PlanProtocol.FrameSpecOrBuilder> getFramesOrBuilderList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

Specified by:
  `getFramesOrBuilderList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### addFramesBuilder

public PlanProtocol.FrameSpec.Builder addFramesBuilder()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### addFramesBuilder

public PlanProtocol.FrameSpec.Builder addFramesBuilder​(int index)

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### getFramesBuilderList

public List<PlanProtocol.FrameSpec.Builder> getFramesBuilderList()

    The frame specification for each op, in the same order

`repeated .xg.db.sqlPlans.FrameSpec frames = 8;`

### getConstIntArgsList

public List<Long> getConstIntArgsList()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstIntArgsCount

public int getConstIntArgsCount()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstIntArgs

public long getConstIntArgs​(int index)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

Specified by:
  `getConstIntArgs` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setConstIntArgs

public PlanProtocol.WindowOperator.Builder setConstIntArgs​(int index, long value)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

### addConstIntArgs

public PlanProtocol.WindowOperator.Builder addConstIntArgs​(long value)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

### addAllConstIntArgs

public PlanProtocol.WindowOperator.Builder addAllConstIntArgs​(Iterable<? extends Long> values)

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

### clearConstIntArgs

public PlanProtocol.WindowOperator.Builder clearConstIntArgs()

    For functions that take a constant integer argument - they are here - there's an entry for every op even if it isn't used

`repeated int64 constIntArgs = 9;`

### getConstFloatArgsList

public List<Double> getConstFloatArgsList()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgsList` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstFloatArgsCount

public int getConstFloatArgsCount()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgsCount` in interface `PlanProtocol.WindowOperatorOrBuilder`

### getConstFloatArgs

public double getConstFloatArgs​(int index)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

Specified by:
  `getConstFloatArgs` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setConstFloatArgs

public PlanProtocol.WindowOperator.Builder setConstFloatArgs​(int index, double value)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

### addConstFloatArgs

public PlanProtocol.WindowOperator.Builder addConstFloatArgs​(double value)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

### addAllConstFloatArgs

public PlanProtocol.WindowOperator.Builder addAllConstFloatArgs​(Iterable<? extends Double> values)

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

### clearConstFloatArgs

public PlanProtocol.WindowOperator.Builder clearConstFloatArgs()

    For functions that take a constant floating point argument - they are here - there's an entry for every op even if it isn't used

`repeated double constFloatArgs = 10;`

### getLimit1

public boolean getLimit1()

    Is there an immediate following limit 1?

`bool limit1 = 11;`

Specified by:
  `getLimit1` in interface `PlanProtocol.WindowOperatorOrBuilder`

### setLimit1

public PlanProtocol.WindowOperator.Builder setLimit1​(boolean value)

    Is there an immediate following limit 1?

`bool limit1 = 11;`

### clearLimit1

public PlanProtocol.WindowOperator.Builder clearLimit1()

    Is there an immediate following limit 1?

`bool limit1 = 11;`

### setUnknownFields

public final PlanProtocol.WindowOperator.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`

### mergeUnknownFields

public final PlanProtocol.WindowOperator.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.WindowOperator.Builder>`